Jump to content

Photo

TOS 206 vs TOS 162


12 replies to this topic

#1 Ripdubski OFFLINE  

Ripdubski

    Stargunner

  • 1,255 posts

Posted Sun Dec 17, 2017 10:05 PM

Are there any compatibility issues between these versions?  My STE has (I thinK) 1.62.  I use 206 under emulation and like its additional features. Im trying to determine if I should track down a ROM set for it.

 



#2 tschak909 OFFLINE  

tschak909

    Stargunner

  • 1,988 posts
  • Location:USA

Posted Sun Dec 17, 2017 10:21 PM

I honestly thought anyone still using an ST was using FreeMINT, these days.

 

-Thom



#3 ParanoidLittleMan OFFLINE  

ParanoidLittleMan

    Stargunner

  • 1,054 posts

Posted Mon Dec 18, 2017 12:19 AM

I use MINT pills, so you are almost right :-D



#4 English Invader OFFLINE  

English Invader

    Moonsweeper

  • 329 posts

Posted Mon Dec 18, 2017 4:59 AM

Are there any compatibility issues between these versions?  My STE has (I thinK) 1.62.  I use 206 under emulation and like its additional features. Im trying to determine if I should track down a ROM set for it.

 

 

No, don't go there.  2.06 is not factory standard for the STe and will cause compatibility issues.  1.62 will do anything and everything you need to do with your ST.  If it ain't broke, don't fix it.



#5 Zogging Hell OFFLINE  

Zogging Hell

    Moonsweeper

  • 405 posts

Posted Mon Dec 18, 2017 5:25 AM

Are there any compatibility issues between these versions?  My STE has (I thinK) 1.62.  I use 206 under emulation and like its additional features. Im trying to determine if I should track down a ROM set for it.

 

 

If you can get a switcher, that would be best. TOS 2.06 is far better to work with on a day to day basis, but has issues with quite a few games (particularly early ones). I have 2.06 and 1.02 in my STFM which gives the best of both worlds. I don't often swap back, but if I do need to then it's there if I need it. If you don't play games that much then imo its a no brainer, get 2.06 in there, particularly as it is just a ROM swap.



#6 Zogging Hell OFFLINE  

Zogging Hell

    Moonsweeper

  • 405 posts

Posted Mon Dec 18, 2017 5:27 AM

I honestly thought anyone still using an ST was using FreeMINT, these days.

 

-Thom

 

You'd have to be a sadist to run a full Freemint setup on a basic ST, it's like running Windows 3.1 on a 286 PC, possible but not much fun ;)



#7 ParanoidLittleMan OFFLINE  

ParanoidLittleMan

    Stargunner

  • 1,054 posts

Posted Mon Dec 18, 2017 5:28 AM

Oh Jesus ...

'Not factory standard' - there is no factory standard by Atari.  2.06 is good for all ST, STE models.

It is well known that it's bad side is lower compatibility with games. I would not say that there is compatibility issue between TOS 1.62 and 2,06 . There are compatibility issues with not so well written SW.

But part of it is to blame on Digital Research. They made filesystem access calls (so disk access) depending from TImer-C in 2.06 - what breaks many games.

Still, I can recommend 2.06 for serious work, and even for some gaming - best games are done already compatible:

http://atari.8bitchip.info/fromhd.php

And best solution is TOS switch - really not expensive and easy to build.



#8 Tempest OFFLINE  

Tempest

    Jonboi Waltune Groupie

  • 26,773 posts
  • Location:Accardi-By-The-Sea

Posted Mon Dec 18, 2017 8:54 AM

'Not factory standard' - there is no factory standard by Atari.  2.06 is good for all ST, STE models.

Maybe he was thinking of 2.05?  That one has problems for sure.



#9 zzip OFFLINE  

zzip

    Stargunner

  • 1,821 posts

Posted Mon Dec 18, 2017 9:04 AM

Are there any compatibility issues between these versions?  My STE has (I thinK) 1.62.  I use 206 under emulation and like its additional features. Im trying to determine if I should track down a ROM set for it.

 

 

I upgraded my STe to 2.06 BITD and never looked back.   If there were compatibility issues, they were rare.   Not a constant source of problems.

 

I think I was more likely to find things that required TOS 1.0 rather than 1.62



#10 Ripdubski OFFLINE  

Ripdubski

    Stargunner

  • Topic Starter
  • 1,255 posts

Posted Mon Dec 18, 2017 9:34 PM

Thanks for the replies.  I'll look for a switcher and 2.06.  

 

Oh Jesus ...

'Not factory standard' - there is no factory standard by Atari.  2.06 is good for all ST, STE models.

It is well known that it's bad side is lower compatibility with games. I would not say that there is compatibility issue between TOS 1.62 and 2,06 . There are compatibility issues with not so well written SW.

But part of it is to blame on Digital Research. They made filesystem access calls (so disk access) depending from TImer-C in 2.06 - what breaks many games.

Still, I can recommend 2.06 for serious work, and even for some gaming - best games are done already compatible:

http://atari.8bitchip.info/fromhd.php

And best solution is TOS switch - really not expensive and easy to build.

 

 

Thanks, and thanks for the quick turn around on PPDriver this past weekend.  Up and running with nary a problem!  Its awesome.



#11 KLund1 OFFLINE  

KLund1

    Moonsweeper

  • 489 posts

Posted Wed Jan 3, 2018 3:56 PM

Side question.

  Is there a difference between 1.06, and 1.62? Or is it that some people get them mixed up when they post. Or is it a UK confused up with a US version?

Back to original topic.

Defiantly get a TOS switcher. You get the best of both when needed. Or you can load TOS into ram from a disk load. There are special programs somewhere in here that can do that. Less cost and works for most game/application situations. 



#12 Zogging Hell OFFLINE  

Zogging Hell

    Moonsweeper

  • 405 posts

Posted Wed Jan 3, 2018 6:52 PM

 

Side question.

  Is there a difference between 1.06, and 1.62? Or is it that some people get them mixed up when they post. Or is it a UK confused up with a US version?

 

There are two STe versions (1.06 and 1.62),the first 1.60 or 1.06 has a medium res bug, where it can't save a parameter in the desktop info file to boot in medium res (it can be manually entered). There are a few other bugs as well. The 1.06 or 1.60 thing is interchangeable, although the official version numbering was 1.04, 1.06 etc. Confusingly 1.62 is only 1.62 and 1.02 is also 1.2 and 1.08 iirc (the latter in some info utilities due to a mis read).



#13 Luigi301 OFFLINE  

Luigi301

    Moonsweeper

  • 367 posts

Posted Thu Jan 4, 2018 11:00 PM

I have a Rainbow TOS ROM set in my 1040STF and my boot disk softkicks 2.06. If you have a 4MB upgrade in your ST you might want to load 2.06 at boot time - it preserves compatibility with almost all ST booter software since you have the correct version in ROM, while your HD boots to 2.06 for desktop use.




0 user(s) are browsing this forum

0 members, 0 guests, 0 anonymous users